--[[
Name: LibBabble-LoggingNodes-1.0
Revision: $Rev: 1 $
Maintainers: tritium <tritium@noisywires.net>
Website: 
Dependencies: LibStub, LibBabble-3.0
License: This work is dedicated to the public domain.
Description: LibBabble library for translations of lumber node names.
Credits: thanks to gathermate2 translators
]]

local MAJOR_VERSION = "LibBabble-LoggingNodes-1.0"
local MINOR_VERSION = 1

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

lib:SetBaseTranslations {
	["Large Timber"] = "Large Timber",
	["Small Timber"] = "Small Timber",
	["Timber"] = "Timber",
}

if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)
elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "Großer Baum",
		["Small Timber"] = "Kleiner Baum",
		["Timber"] = "Baum",
	}
elseif GAME_LOCALE == "esES" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "Madera grande",
		["Small Timber"] = "Madera pequeña",
		["Timber"] = "Madera",
	}
--elseif GAME_LOCALE == "esMX" then
--	lib:SetCurrentTranslations {
--	}
elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "Grand arbre",
		["Small Timber"] = "Petit arbre",
		["Timber"] = "Arbre",
	}
elseif GAME_LOCALE == "itIT" then
	lib:SetCurrentTranslations {
		--["Large Timber"] = ???
		--["Small Timber"] = ???
		--["Timber"] = ???
	}
elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "큰 목재",
		["Small Timber"] = "작은 목재",
		["Timber"] = "목재",
	}
elseif GAME_LOCALE == "ptBR" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "Lenho Grande",
		["Small Timber"] = "Lenho Pequeno",
		["Timber"] = "Lenho",
	}
elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "Большое дерево",
		["Small Timber"] = "Небольшое дерево",
		["Timber"] = "Дерево",
	}
elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "大型木料",
		["Small Timber"] = "小型木料",
		["Timber"] = "木料",
	}
elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations {
		["Large Timber"] = "大型木料",
		["Small Timber"] = "小型木料",
		["Timber"] = "中型樹木",
	}
else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
